> For the complete documentation index, see [llms.txt](https://docs.ante.finance/ante/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ante.finance/ante/v05/for-devs/writing-an-ante-test/adding-an-ante-test-to-ante-github.md).

# Adding an Ante Test to Ante Github

[Ante Community Github Repo](https://github.com/antefinance/ante-community-tests)

When writing an Ante Test, it's best to take advantage of the Ante community and get the community feedback as well as take advantage of the other developers there checking the code.

Start by forking the community repo to your own Github account by clicking the Fork button near the top right of the community repo page.

![](/files/3PAZsTSJdbTKZfkR0RpG)

Then take your Ante Test and add it to the appropriate protocol folder or create a new protocol folder if it doesn't already exist.

Once that's complete, open a Pull Request against the community repo and you'll get feedback regarding the test or have it incorporated into the community repo!

Once the Ante Test has been added into the community repo, your stats on the [Community Leaderboard](https://app.ante.finance/#/community-leaderboard) should be updated shortly afterwards!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ante.finance/ante/v05/for-devs/writing-an-ante-test/adding-an-ante-test-to-ante-github.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
